Bug 16114 - Regression: Bug 14828 broke display of localized item type descriptions
Summary: Regression: Bug 14828 broke display of localized item type descriptions
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL: /cgi-bin/koha/catalogue/itemsearch.pl
Keywords:
Depends on: 14828
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-21 18:19 UTC by Owen Leonard
Modified: 2019-06-27 09:24 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 16114: Koha::ItemType->translated_description should return a string (1.28 KB, patch)
2016-03-22 09:50 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 16114: Koha::ItemType->translated_description should return a string (1.39 KB, patch)
2016-03-22 14:21 UTC, Owen Leonard
Details | Diff | Splinter Review
[PASSED QA] Bug 16114: Koha::ItemType->translated_description should return a string (1.40 KB, patch)
2016-03-22 22:28 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2016-03-21 18:19:32 UTC
If you have defined a translation for an item type (Administration -> Item types -> Edit -> Translate into other languages), the item type description is not displayed correctly in the item search form (catalogue/itemsearch.pl). Instead you see something like "Koha::Localization=HASH(0x849c980)"
Comment 1 Jonathan Druart 2016-03-22 09:50:45 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2016-03-22 14:21:52 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2016-03-22 22:28:33 UTC
Created attachment 49416 [details] [review]
[PASSED QA] Bug 16114: Koha::ItemType->translated_description should return a string

This patch fixes a regression introduce by bug 14828.
If an itemtype is translated, its description won't be displayed
correctly on the item search form.

Koha::ItemType->translated_description is only used once.

Test plan:
- define a translation for an item type (Administration ->
  Item types -> Edit -> Translate into other languages)
- go on the item search form, the item type should be displayed
  correctly.

QA note: This module is not covered by tests, it seems that I forgot to
write them...

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Brendan Gallagher 2016-03-23 01:06:34 UTC
Pushed to Master - Should be in the May 2016 release.  Thanks!
Comment 5 Julian Maurice 2016-03-23 07:24:15 UTC
Does not concern stable versions, status changed to RESOLVED